#include "Renderer.h"
#include "Variant.h"
#include <iostream>
#include "transl.h"

void Rena3D_Renderer::InitTree() {
	std::cout << "tree inited!" << std::endl;
	Translator trans;
	trans.RegisterNewLanguage("EN_US");
	trans.RegisterTranslatableObject("main.startup.initMessage", "EN_US", "Welcome to Rena3D");

}

void Rena3D_Renderer::RenderFrame(r3d_Variant::RenderTime timeSignature) {

}